#!/bin/bash -e

rtl_fix_path=/lib/rtl8192cu-fixes
rtl_fix_git=https://github.com/pvaret/rtl8192cu-fixes.git

if [ `id -u` != '0' ]; then
	echo "Are you root? Run with sudo $0"
	exit 1
fi

echo
echo 'This script will install the rtl8192cu driver fixes as explained here:'
echo "$rtl_fix_git"
echo 'You will need access to the Internet so make sure you are connected'
echo 'to your local network.'
echo
echo 'Your system will be rebooted once the installation is completed.'
echo
echo -n 'Do you want to proceed? (y/N): '
read -e PROCEED

if [ "$PROCEED" != 'y' -a "$PROCEED" != 'Y' ]; then
	echo 'Aborted.'
	exit 0
fi

if dkms status | grep -q '^8192cu.*installed$'; then
	echo 'The rtl8192cu driver fixes seem to be already installed.'
	echo 'Nothing to do...'
	exit 1
fi

git clone $rtl_fix_git $rtl_fix_path

dkms add $rtl_fix_path
dkms install 8192cu/1.10
depmod -a
cp $rtl_fix_path/blacklist-native-rtl8192.conf /etc/modprobe.d/

# reboot to load the new driver
echo 'rtl8192cu fixes installed. Rebooting now...'
sleep 2
/sbin/reboot
